aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries
diff options
context:
space:
mode:
authorJuraj Linkeš <juraj.linkes@pantheon.tech>2020-06-01 10:40:52 +0200
committerJuraj Linkeš <juraj.linkes@pantheon.tech>2020-06-03 08:05:30 +0000
commit91ff7a3f99ecb6e1e849bb9ee0b58b22d0be0b5a (patch)
tree038b8b697933f1c58b01a7b9ae4de94389eb0c80 /resources/libraries
parent6a0b39bd8e0dd1bed25e98632ee45f9a88e071d3 (diff)
Fix DPDK build on arm
Directive #include <file> in GCC implementation searches for files in a standard list of system directories, which leads to a build error on Taishan arm machines: /tmp/openvpp-testing/dpdk/lib/librte_ethdev/rte_ethdev.h:4287:10: fatal error: rte_ethdev_core.h: No such file or directory #include <rte_ethdev_core.h> Fix this by replacing the directive with #include "file" which searches for files first in the directory containing the current file and other directories only after that. Change-Id: If283b81c992c001a2f980312cdd99053c3d703d9 Signed-off-by: Juraj Linkeš <juraj.linkes@pantheon.tech>
Diffstat (limited to 'resources/libraries')
-rw-r--r--resources/libraries/bash/function/dpdk.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/resources/libraries/bash/function/dpdk.sh b/resources/libraries/bash/function/dpdk.sh
index 1654cf811b..4298e79e62 100644
--- a/resources/libraries/bash/function/dpdk.sh
+++ b/resources/libraries/bash/function/dpdk.sh
@@ -108,6 +108,12 @@ function dpdk_compile () {
sed -i "${sed_i40e}" "${sed_file}" || die "Patch failed"
+ sed_build_fix='s/#include <\(rte_ethdev.*.h\)>/#include "\1"/g'
+ # can't put the filename in quotes so that shell expands it
+ sed -i "${sed_build_fix}" ./lib/librte_ethdev/rte_ethdev*.h || {
+ die "DPDK build patch failed"
+ }
+
# Compile
make install T="${arch}"-"${machine}"-linuxapp-gcc -j || {
die "Failed to compile DPDK!"